/* Top nav bar */
.ast-desktop .ast-above-header-bar .main-header-menu > .menu-item {
  line-height: 40px;
}

.site-header .ast-above-header,
.ast-above-header-bar .site-above-header-wrap,
.ast-above-header-wrap .main-navigation .button {
  min-height: 40px;
}

/* Nav items focus */
.main-header-menu > .menu-item > .menu-link:focus {
  outline: none;
}

/* NAVBAR FIXES  */
.ast-theme-transparent-header .site-logo-img img {
  filter: none;
}
.ast-above-header-bar.ast-above-header.site-header-focus-item, .site-above-header-wrap {
  background: var(--ast-global-color-1) !important;
} #ast-hf-menu-2 .menu-link {
  gap: 4px;
  display:flex;
}

/* NavBar dropdown icon */
.main-header-bar-navigation .dropdown-menu-toggle {
  display: none;
}

/* HERO */
.wp-block-cover.is-style-hero .wp-block-heading:not(:last-child) {
  text-shadow: 0 0 64px var(--ast-global-color-1);
} 
.wp-block-cover.is-style-hero .wp-block-cover__background.has-background-dim-100.has-background-gradient {
  background: linear-gradient(90deg,rgba(0,48,73,0.7) 2%,rgba(64,64,64,0.25) 100%) !important;
}

.ast-advanced-headers-layout .ast-advanced-headers-wrap:before,
.is-style-hero .wp-block-cover__inner-container .wp-block-group:before, .is-style-hero.wp-block-cover:after, .is-style-hero.wp-block-cover:before {
  display: none;
}

/*
* Cover background img tag
*/

.wp-block-cover:has(.cover-bg-img) {
  position: relative;
}

.wp-block-cover:has(.cover-bg-img) .wp-block-cover__inner-container {
  position: static;
}

.wp-block-cover:has(.cover-bg-img) .wp-block-cover__inner-container > *:not(.cover-bg-img) {
  position: relative;
}

.wp-block-cover:has(.cover-bg-img) figure {
  position: static;
}

.cover-bg-img figure img {
  bottom: 0;
  height: 100% !important;
  left: 0;
  max-width: unset;
  object-fit: cover;
  object-position: center;
  position: absolute;
  right: 0;
  top: 0;
  z-index: -1;
  width: 100% !important;
}

/* PRACTICE AREAS */
.wp-block-feature-box.is-style-style-05 img {
  opacity: 0.5 !important;
} .wp-block-feature-box.is-style-style-05 {
  text-shadow: 0 0 16px #000000aa;
} .wp-block-feature-box.is-style-style-05.align-center:before, .wp-block-feature-box.is-style-style-05.align-center:after {
  display: none;
}

/* TESTIMONIALS */
.wp-block-feature-box.is-style-style-05 {
  min-height: 240px;
  display: flex;
  align-content: center;
} .uagb-ifb-image-content {
  display:none;
} .uagb-ifb-title {
  margin:0 !important;
}


/* Buttons */
/*SHOWMEHOW*/
.post-3771 .entry-title {
  display:none;
}

/* BLOG FIX */
.ast-blog-featured-section.post-thumb.ast-blog-single-element {
  min-height:240px;
  background: var(--ast-global-color-1);
  position:relative;
}

.ast-blog-featured-section.post-thumb.ast-blog-single-element:before {
  position:absolute;
  content: "READ MORE »";
  color: var(--ast-global-color-0);
  font-size: 1.5rem;
  letter-spacing: 1px;
  font-weight: 500;
  text-transform: uppercase;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  text-wrap: nowrap;
}

/* NAVBAR FIXES  */
.ast-theme-transparent-header .site-logo-img img {
  filter: none;
}

#ast-hf-menu-2 .menu-link {
  gap: 4px;
  display:flex;
}

/* HERO */
.wp-block-cover.is-style-hero .wp-block-heading:not(:last-child) {
  text-shadow: 0 0 64px var(--ast-global-color-1);
} 

.wp-block-cover.is-style-hero .wp-block-cover__background.has-background-dim-100.has-background-gradient {
  background: linear-gradient(90deg,rgba(0,48,73,0.7) 2%,rgba(64,64,64,0.25) 100%) !important;
}

/* PRACTICE AREAS */
.wp-block-feature-box.is-style-style-05 img {
  opacity: 0.5 !important;
}

.wp-block-feature-box.is-style-style-05 {
  text-shadow: 0 0 16px #000000aa;
}

.wp-block-feature-box.is-style-style-05.align-center:before, .wp-block-feature-box.is-style-style-05.align-center:after {
  display: none;
}

/* TESTIMONIALS */
.wp-block-feature-box.is-style-style-05 {
  min-height: 240px;
  display: flex;
  align-content: center;
}

.uagb-ifb-image-content {
  display:none;
}

.uagb-ifb-title {
  margin:0 !important;
}

/* Buttons */
.wp-block-button.is-style-ghost.white .wp-block-button__link {
  color: var(--ast-global-color-2) !important;
  background: var(--ast-global-color-8) !important;
  border: 1px solid var(--ast-global-color-2) !important;
}
.wp-block-button.is-style-ghost.white .wp-block-button__link:hover {
  color: var(--ast-global-color-8) !important;
  background: var(--ast-global-color-2) !important;
}

/*SHOWMEHOW*/
.post-3771 .entry-title {
  display:none;
}

/* BLOG FIX */
.ast-blog-featured-section.post-thumb.ast-blog-single-element {
  min-height:240px;
  background: var(--ast-global-color-1);
  position:relative;
}

.ast-blog-featured-section.post-thumb.ast-blog-single-element:before {
  position:absolute;
  content: "READ MORE »";
  color: var(--ast-global-color-0);
  font-size: 1.5rem;
  letter-spacing: 1px;
  font-weight: 500;
  text-transform: uppercase;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  text-wrap: nowrap;
}

body.home #h-move-forward-to-the-life-you-deserve mark{
  position: relative;
  color: var(--ast-global-color-2) !important;
  text-shadow: 1px 1px 0 rgba(255, 255, 255, 0.5), /* Light highlight */ -1px -1px 0 rgba(255, 255, 255, 0.5), /* Light highlight */ 2px 2px 0 rgba(255, 255, 255, 0.3), /* Soft glow */ -2px -2px 0 rgba(255, 255, 255, 0.3);
}

figure.wp-block-image.is-style-decor-1:before{
  border: 5px solid var(--ast-global-color-2) !important;
}

body.home .feature-box{
  background: var(--ast-global-color-1);
  color: var(--ast-global-color-8);
  font-weight: 400;
}

body.home .feature-box h3{
  color: var(--ast-global-color-8) !important;
}

body.home h2#h-both-parents-need-to-be-heard {
  color: var(--ast-global-color-1);
}

body.home .feature-box__icon{
  background: var(--ast-global-color-1) !important;
  border: 5px solid var(--ast-global-color-2);
}

.ast-above-header.ast-above-header-bar .button {
  border-radius: 0;
}

/* Phone link */
.ast-above-header.ast-above-header-bar .phone-link:hover,
.ast-above-header.ast-above-header-bar .phone-link:active,
.ast-above-header.ast-above-header-bar .phone-link:focus {
  border: 0;
  text-decoration: underline;
}

.ast-above-header.ast-above-header-bar .button .menu-text {
  transition: .3s color ease-in-out;
}

.ast-above-header.ast-above-header-bar .button:hover {
  border-color: var(--ast-global-color-8) !important;
  background-color: var(--ast-global-color-8) !important;
  color: var(--ast-global-color-1) !important
}

/*FFS*/
.wp-block-button.white:not(.is-style-ghost) .wp-block-button__link {
  background-color: var(--ast-global-color-2) !important;
  border-color: var(--ast-global-color-2) !important;
  color: var(--ast-global-color-8) !important;
}

.wp-block-button.white:not(.is-style-ghost) .wp-block-button__link:hover {
  border-color: var(--ast-global-color-8) !important;
  background-color: var(--ast-global-color-8) !important;
  color: var(--ast-global-color-1) !important
}

/*
*  Navbar again ...
*/

#ast-hf-menu-1, #ast-hf-menu-1 > .menu-item {
  height: 80px;
}
.ast-builder-menu-1 .main-header-menu > .menu-item > .sub-menu, .ast-builder-menu-1 .main-header-menu > .menu-item > .astra-full-megamenu-wrapper {
  margin-top: 8px;
}
.main-header-menu .sub-menu{
  padding: 1rem;
}

#ast-hf-menu-1-sticky, #ast-hf-menu-1-sticky > .menu-item {
  height: 80px;
  background: none !important;
}
#ast-hf-menu-1-sticky, #ast-hf-menu-1-sticky > .menu-item:hover, #ast-hf-menu-1-sticky > .menu-item:hover > .menu-link, #ast-hf-menu-1-sticky > .menu-item.current-menu-item > .menu-link  {
  background: none !important;
}
#ast-hf-menu-1-sticky > .menu-item a {
  color: var(--ast-global-color-8) !important;
} 
#ast-hf-menu-1-sticky > .menu-item .sub-menu a{
  color: var(--ast-global-color-1) !important;
}
.ast-desktop .ast-builder-menu-1 .main-header-menu > .menu-item > .sub-menu:before, .ast-desktop .ast-builder-menu-1 .main-header-menu > .menu-item > .astra-full-megamenu-wrapper:before {
  height: 2rem !important
}

.main-header-menu .sub-menu .menu-link {
  padding: 1rem !important;
}
.ast-builder-menu-1 .menu-item > .menu-link {
  line-height: 1.2 !important;
}

.ast-builder-menu-1 .menu-item:hover > .menu-link {
  color: var(--ast-global-color-1) !important;
}
.ast-desktop .ast-mega-menu-enabled .ast-builder-menu-1 div:not( .astra-full-megamenu-wrapper) .sub-menu, .ast-builder-menu-1 .inline-on-mobile .sub-menu, .ast-desktop .ast-builder-menu-1 .astra-full-megamenu-wrapper, .ast-desktop .ast-builder-menu-1 .menu-item .sub-menu {
    box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 0.25) !important;
}
.ast-builder-menu-1 .sub-menu, .ast-builder-menu-1 .inline-on-mobile .sub-menu {
  min-width: 240px;
  width: auto !important
}


/* *
  * *   related postings
  * */
.ast-single-related-posts-container {
  display: flex;
  flex-direction: column;
}
.ast-related-posts-wrapper {
  display: grid;
  grid-template-columns: repeat(2, 2fr) !important;
  grid-gap: 2rem
}

.ast-related-post-featured-section.post-has-thumb {
  min-height:240px;
  background: var(--ast-global-color-1) !important;
  position:relative;
} .ast-related-post-featured-section.post-has-thumb:before {
  position:absolute;
  content: "READ MORE »";
  color: #ffffff;
  font-size: 1.5rem;
  letter-spacing: 1px;
  font-weight: 500;
  text-transform: uppercase;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  text-wrap: nowrap;
}

/* SEARCH */

.ast-plain-container .ast-grid-2 .ast-article-post {
  display:flex;
  flex-direction: column !important;
  width: 100% !important;
}

.faq-tabs {
  margin-bottom: 2rem
}

.faq-tabs__title {
  margin-bottom: 0.5rem
}

.faq-tabs__buttons {
  gap: 0.5rem;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
}

* {
  font-family: "Outfit";
}

.ast-builder-menu-1 a span {
  font-family: 'Open Sans',sans-serif;
  font-weight: 400;
  text-transform: capitalize;
}

textarea {
  display: block;
  padding: 15px 15px !important;
}


/* AnimationButton */
.hvr-sweep-to-right {
  --sweep-color: currentColor;
  --sweep-color-dark:#C1B086;
  --text-color: #ffffff;
  --hover-text-color: #ffffff;

  position: relative;
  overflow: hidden;
  background-color: transparent;
  color: var(--text-color);
  transition: color 0.3s ease;
}

.hvr-sweep-to-right::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background-color: var(--sweep-color-dark);
  z-index: 0;
  transition: left 0.3s ease;
}

.hvr-sweep-to-right span {
  position: relative;
  z-index: 1;
}
.hvr-sweep-to-right p {
  position: relative;
  z-index: 1;
}


/* Color del texto al hacer hover */
.hvr-sweep-to-right:hover a {
  color: var(--hover-text-color) !important;
}

.hvr-sweep-to-right:hover p {
  color: var(--hover-text-color) !important;
}
.hvr-sweep-to-right:hover svg {
  fill: var(--hover-text-color) !important;
}


/* Animación del sweep */
.hvr-sweep-to-right:hover::before {
  left: 0;
}

.ast-above-header-bar.ast-above-header.site-header-focus-item, .site-above-header-wrap{
background:	#4b4c59 !important;
}

/*
* Text justify
*/

.ta-justify,
.ta-justify p {
  text-align: justify;
}



/*
  * 
  * New Styles Codebrand 
  * 
  * */


/* -- Home -- */

/* tab */



/* Globals CSS*/
.ast-desktop .menu-item-1195 .astra-mm-icon-label.icon-item-1195 svg{
  fill:#fff !important;
  color:#fff !important;
}


.site-footer .site-footer-above-section-2 .menu>li>a{
  color:whit;
  font-size:15px;
  font-weight:700;
}

.main-navigation .button:not(.white) {
  background-color: #102F47 !important;
  border-color: var(--ast-global-color-2) !important;
  color:white !important;
}

.wp-block-uagb-container.uagb-block-pab1zwvn{
  background-color: #102F47 !important;
}



/* Home Edition. */

h1:has(+.big-title) {
  font-size: clamp(24px, 4.16vw, 80px) !important;
}

.big-title{
  font-size: 300px !important;
  font-size: clamp(24px, 18.75vw, 300px) !important;
  line-height: 0.73em !important ;
/* 	margin-top: -20px; */
  font-family:Outfit;
  opacity:0.5;
  font-weight:900 !important;
}

.big-title + h1 {
  font-size: clamp(24px, 5vw, 80px) !important;
}

/* Button hover */
.wp-block-button__link .uagb-button__link {
  transition: .3s color ease-in-out;
}

.wp-block-button__link svg {
  transition: .3s fill ease-in-out;
}

/* Steps list */
.is-style-steps-01>li.active {
  border-color: rgba(37, 38, 54, .75) !important;
}

/* Red button */
.button--red .wp-block-button__link:hover svg,
.button--red .wp-block-button__link:active svg,
.button--red .wp-block-button__link:focus svg {
  fill: #ffffff !important;
}

@media only screen and (max-width:768px){
  .big-title{
    font-size:18vw !important;
    opacity:0.5;
    font-weight:900 !important;
  }

  .entry-content .wp-block-group.wp-container-core-group-is-layout-7a5f2dc8{
    display: flex !important;
    flex-direction: column !important;
    flex-wrap: wrap !important;
    align-content: center !important;
    justify-content: center !important;
    align-items: center;
  }
}

/* consultation-cta-section pattern */
.consultation-cta-section .wp-block-columns {
  max-width: 1200px !important;
}

/* Footer */
.site-footer .site-footer-above-section-2 .menu>li>a {
  color: #ffffff;
}

.site-footer .ast-builder-grid-row-2-lheavy .ast-nav-menu li {
  border: 0;
}

.ast-footer-social-1-wrap .ast-social-color-type-custom svg {
  fill: #ffffff;
}

.ast-footer-social-1-wrap .ast-social-color-type-custom .ast-builder-social-element:hover svg {
  fill: var(--brand-200);
}

.site-footer a * {
  transition: unset;
}

.site-footer a {
  transition: 0.3s color ease-in-out;
}

#astra-footer-menu .menu-item:hover > a {
  color: var(--brand-200);
}

/* About page */
div .wp-container-core-group-is-layout-74cbbf86 > :where(:not(.alignleft):not(.alignright):not(.alignfull)) {
  max-width: 660px;
}

/* Empty page title */
.ast-page-builder-template .entry-header.ast-no-title {
  margin: 0;
}

/* FAQ page */
.faq__title {
  font-size: 1.75rem;
}

/* Why choose us */
div .wp-block-group-is-layout-flex .wp-block-feature-box.is-style-style-03 {
  width: calc((100% - 24px) / 2);
}

/* Breadcrumbs */
.ast-breadcrumbs-wrapper .trail-items a,
.ast-breadcrumbs-wrapper .trail-items li::after {
  color: var(--ast-global-color-2);
}

/* Blog featured */
.blog .post.featured {
  margin-bottom: 3rem;
}

.blog .post.featured .entry-info {
  align-self: end;
}

/* Location post type */
.single-tco-location .transparent-custom-logo {
  display: block;
}

.single-tco-location .ast-transparent-desktop-logo {
  display: none;
}

/* Home */
#h-be-happily-and-peacefully-divorced {
  position: relative;
  z-index: 2;
}

/* Show me how */
.max-width-unset .wp-block-cover__inner-container {
  max-width: unset !important;
}

.page-id-3771.ast-no-sidebar #content #primary {
  margin-top: 0;
}

.buttons-row .uagb-buttons-layout-wrap {
  flex-direction: row !important;
}

/*
* Feature box
*/

.wp-block-feature-box:has(.feature-box-link):hover {
  cursor: pointer;
}

.wp-block-feature-box .feature-box__image img {
  transition: 0.3s transform ease-in-out;
}

.wp-block-feature-box:has(.feature-box-link):hover .feature-box__image img {
  transform: scale(1.05);
  transform-origin: center;
}

.feature-box-link {
  bottom: 0;
  left: 0;
  position: absolute !important;
  right: 0;
  top: 0;
  z-index: 5 !important;
}

/*
* Sidebar
*/

.sidebar-video-thumbnail {
  position: relative;
}

.sidebar-video-thumbnail:hover a::before {
  transform: scale(1.1);
}

.sidebar-video-thumbnail a::before {
  background-image: url(/wp-content/themes/charlottechristianlaw/assets/images/svg/play.svg);
  background-size: cover;
  content: '';
  display: block;
  height: 48px;
  left: calc(50% - 24px);
  position: absolute;
  top: calc(50% - 24px);
  transition: 0.3s transform ease-in-out;
  width: 48px;
  z-index: 1;
}

.sidebar-video-thumbnail img {
  object-fit: cover;
}


.row-gap-0-5 .uagb-container-inner-blocks-wrap {
  row-gap: 0.5rem !important;
}